package export

import (
	"fmt"
	"strconv"
)

// Print solutions into a human friendly format for in the console.
func (export *Export) renderFlatSolutions() (render string) {
	for solutionIndex, solution := range export.Controller.Solutions {
		render += fmt.Sprintln("\nSolution #" + strconv.Itoa(solutionIndex+1) + ":")
		render += fmt.Sprintln(solution)
	}
	return
}
